summaryrefslogtreecommitdiff
path: root/dev-python/python-zaqarclient
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/python-zaqarclient
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/python-zaqarclient')
-rw-r--r--dev-python/python-zaqarclient/Manifest2
-rw-r--r--dev-python/python-zaqarclient/metadata.xml20
-rw-r--r--dev-python/python-zaqarclient/python-zaqarclient-1.11.0.ebuild39
-rw-r--r--dev-python/python-zaqarclient/python-zaqarclient-1.13.1.ebuild38
4 files changed, 99 insertions, 0 deletions
diff --git a/dev-python/python-zaqarclient/Manifest b/dev-python/python-zaqarclient/Manifest
new file mode 100644
index 000000000000..23880a39dd7d
--- /dev/null
+++ b/dev-python/python-zaqarclient/Manifest
@@ -0,0 +1,2 @@
+DIST python-zaqarclient-1.11.0.tar.gz 85724 BLAKE2B 84e34998a76bd475b3aad2882f076f8ca89dcfc1a24155d0e88269fda3d82d4b1348461d1f59a5f21726dbc56b37219d9e75957737452e759672505a1f16a4c9 SHA512 4b57cd336a6517760d32a5e01a7c87a9ee0526323a222faa6fcd6e33a506b0746d6418e9eee3fa00e7ba4a01912ee108fe1feb3469e0a14089cc760a0756b7fb
+DIST python-zaqarclient-1.13.1.tar.gz 88428 BLAKE2B 71870c7232d4f00b626421fc41e033925fe58f0699538d3e7f3deba2ac07e692d8e676eb763429efcc16ca0c39f8a15317106ca8f6ade583555a89495eba324c SHA512 4854e0a90e98d8172058316fbfcefc0a327a81ae870db28a51264b8e4b809383b652818506f734dd2b35648a544d0811046957c97a86f12d696021d54fbfa890
diff --git a/dev-python/python-zaqarclient/metadata.xml b/dev-python/python-zaqarclient/metadata.xml
new file mode 100644
index 000000000000..ddd52f0e6a3c
--- /dev/null
+++ b/dev-python/python-zaqarclient/metadata.xml
@@ -0,0 +1,20 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>prometheanfire@gentoo.org</email>
+ <name>Matthew Thode</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>openstack@gentoo.org</email>
+ <name>Openstack</name>
+ </maintainer>
+ <longdescription lang="en">
+ This is a client for the OpenStack Zaqar API.
+ </longdescription>
+ <upstream>
+ <remote-id type="pypi">python-zaqarclient</remote-id>
+ <remote-id type="github">openstack/python-zaqarclient</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/dev-python/python-zaqarclient/python-zaqarclient-1.11.0.ebuild b/dev-python/python-zaqarclient/python-zaqarclient-1.11.0.ebuild
new file mode 100644
index 000000000000..9562e9703a1c
--- /dev/null
+++ b/dev-python/python-zaqarclient/python-zaqarclient-1.11.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="A client for the OpenStack Zaqar API"
+HOMEPAGE="https://github.com/openstack/python-zaqarclient"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="amd64 ~arm64 x86 ~amd64-linux ~x86-linux"
+
+CDEPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+ !~dev-python/pbr-2.1.0[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ ${CDEPEND}"
+RDEPEND="
+ ${CDEPEND}
+ >=dev-python/requests-2.14.2[${PYTHON_USEDEP}]
+ >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-1.20.0[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-2.6.0[${PYTHON_USEDEP}]
+ <dev-python/jsonschema-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
+ >=dev-python/oslo-log-3.36.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-3.33.0[${PYTHON_USEDEP}]
+ >=dev-python/keystoneauth-3.4.0[${PYTHON_USEDEP}]
+ >=dev-python/osc-lib-1.8.0[${PYTHON_USEDEP}]
+"
+
+python_prepare_all() {
+ # built in...
+ sed -i '/^hacking/d' test-requirements.txt || die
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/python-zaqarclient/python-zaqarclient-1.13.1.ebuild b/dev-python/python-zaqarclient/python-zaqarclient-1.13.1.ebuild
new file mode 100644
index 000000000000..17284e855fca
--- /dev/null
+++ b/dev-python/python-zaqarclient/python-zaqarclient-1.13.1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="A client for the OpenStack Zaqar API"
+HOMEPAGE="https://github.com/openstack/python-zaqarclient"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="amd64 ~arm64 x86 ~amd64-linux ~x86-linux"
+
+CDEPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+ !~dev-python/pbr-2.1.0[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ ${CDEPEND}"
+RDEPEND="
+ ${CDEPEND}
+ >=dev-python/requests-2.14.2[${PYTHON_USEDEP}]
+ >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-1.20.0[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-2.6.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
+ >=dev-python/oslo-log-3.36.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-3.33.0[${PYTHON_USEDEP}]
+ >=dev-python/keystoneauth-3.4.0[${PYTHON_USEDEP}]
+ >=dev-python/osc-lib-1.8.0[${PYTHON_USEDEP}]
+"
+
+python_prepare_all() {
+ # built in...
+ sed -i '/^hacking/d' test-requirements.txt || die
+ distutils-r1_python_prepare_all
+}